c     Copyright (C)
c     2010-2013 Universit Bordeaux 1
c     2010-2013 Ecole des Mines d'Albi
c     2014-2018 - Mesostar
c     
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine test_inf(value,is_inf)
      implicit none
      include 'max.inc'
c     
c     Purpose: to test a given value against INF
c     
c     Input:
c       + value: double-precision data
c     
c     Output:
c       + is_inf: T if "value" in INF
c     
c     I/O
      double precision value
      logical is_inf
c     temp
      double precision x
      double precision infinity
c     label
      integer strlen
      character*(Nchar_mx) label
      label='subroutine test_inf'
c
      x=0.0D+0
      infinity=-dlog(x)
c     Debug
c     write(*,*) 'infinity=',infinity
c     Debug
      if (value.ge.infinity) then
         is_inf=.true.
      else
         is_inf=.false.
      endif
c
      return
      end
